Skip to main content
POST
/
2025-01
/
marketing-solutions
/
ad-sets
/
start
/2025-01/marketing-solutions/ad-sets/start
curl --request POST \
  --url https://api.criteo.com/2025-01/marketing-solutions/ad-sets/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "id": "<string>",
      "type": "AdSetId"
    }
  ]
}
'
{
  "data": [
    {
      "id": "<string>",
      "type": "AdSetId"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

All the ad sets to start

List of input resources

data
object[] | null

Response

200 - application/json

List of ad sets that have been started and errors / warnings by ad set

List of output resources

data
object[] | null
read-only
errors
object[] | null
read-only
warnings
object[] | null
read-only